"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatClassNames = void 0;
const formatClassNames = (classNameKeys) => {
    let exportTypes = "", exportClassNames = "export type ClassNames = ";
    const exportStyle = "export default classNames;";
    for (const classNameKey of classNameKeys.keys()) {
        exportTypes = `${exportTypes}\n${formatExportType(classNameKey)}`;
        exportClassNames =
            exportClassNames !== "export type ClassNames = "
                ? `${exportClassNames} | '${classNameKey}'`
                : `${exportClassNames} '${classNameKey}'`;
    }
    return `declare const classNames: {${exportTypes}\n};\n${exportStyle}\n${exportClassNames}`;
};
exports.formatClassNames = formatClassNames;
const formatExportType = (key) => `  readonly '${key}': '${key}';`;
